#!/bin/sh

set -e

DAHDI_PERL=/usr/local/share/perl5/Dahdi

echo "#### Patching DAHDI tools and scripts ###"

(
cd dahdi-2.9.0

patch -b -p1 -d / < init.d-dahdi.patch

patch -b -p6 -d $DAHDI_PERL/ < Chans.pm.patch
patch -b -p6 -d $DAHDI_PERL/ < Span.pm.patch
patch -b -p7 -d $DAHDI_PERL/Hardware < PCI.pm.patch
patch -b -p7 -d $DAHDI_PERL/Config < Gen.pm.patch
patch -b -p9 -d $DAHDI_PERL/Config/Gen < Modules.pm.patch

echo "Enabling modules (modifying files at /etc/dahdi/)"
bash ./etc_dahdi.sh

echo "#############  DONE  ####################"
)
